ALTER TABLE "users" RENAME TO "users_tmp";
CREATE TABLE IF NOT EXISTS users (
	_id INTEGER PRIMARY KEY AUTOINCREMENT,
	user_id INTEGER,
	username TEXT,
	first_name TEXT,
	last_name TEXT,
	email TEXT,
	register_date LONG,
	last_visit_date LONG,
	subscription_id INTEGER,
	expire_date LONG,
	sub_months INTEGER,
	start_date LONG,
	subscription_downloads TEXT,
	is_logged_in INTEGER,
	CONSTRAINT usernameCK UNIQUE ( user_id ) ON CONFLICT REPLACE
);

INSERT INTO "users" SELECT * FROM "users_tmp";
DROP TABLE "users_tmp";

ALTER TABLE "mix_downloads" RENAME TO "mix_downloads_tmp";
CREATE TABLE IF NOT EXISTS mix_downloads (
	_id INTEGER PRIMARY KEY AUTOINCREMENT,
	download_id LONG,
	mix_id INTEGER,
	progress INTEGER,
	remaining_time LONG,
	bytes_downloaded INTEGER,
	bytes_total INTEGER,
	CONSTRAINT mixDownloadCK UNIQUE (mix_id) ON CONFLICT IGNORE
);

INSERT INTO "mix_downloads" SELECT * FROM "mix_downloads_tmp";
DROP TABLE IF EXISTS "mix_downloads_tmp";
